
QGIS Application - Feature request #6757

[Patch] Abort classification upon high number of classes

2012-11-25 03:12 AM - Simon Legner

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 15913

Description

Accidentally classifying a vector layer (categorized style) on an id column (with >99k unique entries) resulted in high CPU load and QGIS

frozen.

I suggest to present a warning dialog when more than 1000 unique values are present and ask the user whether to continue. Patch

attached – please check for usage of correct terminology.

History

#1 - 2012-11-25 03:18 AM - Simon Legner

I opened a pull request on GitHub https://github.com/qgis/Quantum-GIS/pull/338 …

#2 - 2012-11-27 07:40 PM - Nathan Woodrow

- Resolution set to fixed

Merged in commit:9f71d9f

#3 - 2012-12-05 05:42 PM - Giuseppe Sucameli

- Status changed from Open to Closed

You forgot to close the ticket :)

Files

too_many_classes.patch 1008 Bytes 2012-11-25 Simon Legner
